<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    android:id="@+id/relpostpartum"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical" >

    <!-- <TextView
        android:id="@+id/txtheadingpostpartum"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_marginStart="@dimen/dim_150"
        android:layout_marginTop="@dimen/dim_20"
        android:text="PostPartum Care"
        android:textAppearance="?android:attr/textAppearanceMedium"
        android:textStyle="bold" /> -->
        
        
        <TableLayout
        android:id="@+id/tbldetails"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        
        android:layout_marginBottom="@dimen/dim_2"
        android:layout_marginTop="@dimen/dim_2" >

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dim_5" >

            <TextView
                android:id="@+id/wname"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/wage"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/wdoa"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dim_5" >

            <TextView
                android:id="@+id/wgravida"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/wtrisk"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="0.5"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />

            <TextView
                android:id="@+id/wgest"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />
        </TableRow>

        <TableRow
            android:id="@+id/trdelstatus"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginStart="@dimen/dim_5"
            android:layout_marginTop="@dimen/dim_2"
            android:visibility="gone" >

            <TextView
                android:id="@+id/wdelstatus"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5 "
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" />

            <!-- <TextView
                android:id="@+id/wdeldate"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1.5"
                android:textColor="@color/black"
                android:textSize="11sp"
                android:textStyle="bold" /> -->
        </TableRow>

        <View
            android:layout_width="match_parent"
            android:layout_height="@dimen/dim_2"
            android:layout_marginTop="@dimen/dim_2"
            android:background="@color/black" />
    </TableLayout>

    <ImageView
        android:id="@+id/imgpdfpost"
        android:layout_width="@dimen/dim_150"
        android:layout_height="@dimen/dim_50"
        android:layout_alignParentEnd="true"
        android:layout_below="@+id/tbldetails"
        android:layout_margin="@dimen/dim_10"
        android:src="@drawable/pdf5"
        android:visibility="visible" />

    <ScrollView
        android:id="@+id/scrladd"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_above="@+id/llparentregbtn"
        android:layout_below="@+id/tbldetails" >

        <TableLayout
            android:id="@+id/tbladd"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/dim_5"
            android:background="@drawable/edit_text_style_blue" >

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dim_5"
                android:layout_marginLeft="@dimen/dim_5"
                android:layout_marginRight="@dimen/dim_5"
                android:layout_marginTop="@dimen/dim_15" >

                <TextView
                    android:id="@+id/txtexamination"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Examination"
                      android:textStyle="bold"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etexamination"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" 0123456789qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,. "
                    android:hint="200 Characters"
                    android:maxLength="200" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtcomplaints"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                      android:textStyle="bold"
                    android:text="Presenting Complaints"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <com.bc.partograph.common.MultiSelectionSpinner
                    android:id="@+id/mspnpresentigcomplaints"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_margin="3dp"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:layout_weight="1"
                    android:padding="5dp" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginBottom="@dimen/dim_5"
                android:layout_marginLeft="@dimen/dim_5"
                android:layout_marginRight="@dimen/dim_5"
                android:layout_marginTop="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtother"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                      android:textStyle="bold"
                    android:text="@string/others"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etother"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM0123456789,. "
                    android:hint="200 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="200" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtpallor"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                      android:textStyle="bold"
                    android:text="Pallor"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etpallor"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="100 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="100" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtpulsepost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                      android:textStyle="bold"
                    android:layout_weight="1"
                    android:text="Pulse"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etpulsepost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:hint="3 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:inputType="number"
                    android:maxLength="3" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtbppost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="BP"
                      android:textStyle="bold"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1" >

                    <EditText
                        android:id="@+id/etbpsyspost"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_margin="1dp"
                        android:layout_weight="1"
                        android:background="@drawable/edit_text_style_blue"
                        android:hint="3 Characters"
                        android:inputType="number"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:maxLength="3" />

                    <EditText
                        android:id="@+id/etbpdiapost"
                        android:layout_width="0dp"
                        android:layout_height="wrap_content"
                        android:layout_weight="1"
                        android:background="@drawable/edit_text_style_blue"
                        android:hint="3 Characters"
                        android:textAppearance="?android:attr/textAppearanceSmall"
                        android:inputType="number"
                        android:maxLength="3" />
                </LinearLayout>
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtbreastexamination"
                    android:layout_width="0dp"
                      android:textStyle="bold"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Breast Examination"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etbreastexamination"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="200 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="200" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtinvolutionofuterus"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Involution Of Uterus"
                      android:textStyle="bold"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etinvolution"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="100 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="100" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtlochia"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Lochia"
                      android:textStyle="bold"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etlochia"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="200 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="200" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtperinealcare"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:text="Perineal Care"
                      android:textStyle="bold"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etperinealcare"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="200 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="200" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtadvice"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                      android:textStyle="bold"
                    android:layout_weight="1"
                    android:text="@string/advice"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etadvicepost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:background="@drawable/edit_text_style_blue"
                    android:digits=" qwertyuioplkjhgfdsazxcvbnmQWERTYUIOPLKJHGFDASZXCVBNM,.0123456789 "
                    android:hint="200 Characters"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:maxLength="200" />
                
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txtdate"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:text="@string/date"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/etdatepost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:background="@drawable/edit_text_style_blue" />
            </TableRow>

            <TableRow
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_margin="@dimen/dim_5" >

                <TextView
                    android:id="@+id/txttime"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textStyle="bold"
                    android:text="@string/time"
                    android:textAppearance="?android:attr/textAppearanceSmall" />

                <EditText
                    android:id="@+id/ettimepost"
                    android:layout_width="0dp"
                    android:layout_height="wrap_content"
                    android:layout_weight="1"
                    android:textAppearance="?android:attr/textAppearanceSmall"
                    android:background="@drawable/edit_text_style_blue" />
            </TableRow>
        </TableLayout>
    </ScrollView>

    <HorizontalScrollView
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/imgpdfpost" >

        <ScrollView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content" >

            <TableLayout
                android:id="@+id/tblpostpartum"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:orientation="horizontal" >
            </TableLayout>
        </ScrollView>
    </HorizontalScrollView>

    <TextView
        android:id="@+id/txtdisable"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_below="@+id/txtheadingpostpartum"
        android:layout_marginLeft="@dimen/dim_50"
        android:text="@string/cannot_enter_any_data_after_updating_discharge_details"
        android:textSize="15sp"
        android:visibility="gone" />

    <LinearLayout
        android:id="@+id/llparentregbtn"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:orientation="horizontal" >

        <Button
            android:id="@+id/btnview"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginRight="@dimen/dim_2"
            android:layout_weight="1"
            android:background="@drawable/btn_selector"
            android:text="@string/view"
            android:textColor="@color/white"
            android:textSize="@dimen/dim_20"
            android:textStyle="bold" />

        <Button
            android:id="@+id/btnsave"
            style="?android:attr/buttonBarButtonStyle"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_marginLeft="@dimen/dim_2"
            android:layout_weight="1"
            android:background="@drawable/btn_selector"
            android:text="@string/save"
            android:textColor="@color/white"
            android:textSize="@dimen/dim_20"
            android:textStyle="bold" />
    </LinearLayout>

</RelativeLayout>